%define ghc_ver %(ghc --numeric-version)
%define pkg_name %(echo %name | sed "s|^ghc-||")

Name:          ghc-crypton-x509
Version:       1.7.6
Release:       1mamba
Summary:       GHC crypton-x509: X509 reader and writer
Group:         Development/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://hackage.haskell.org/package/%{pkg_name}
Source:        https://hackage.haskell.org/package/crypton-x509-%{version}/crypton-x509-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: ghc-asn1-encoding-devel
BuildRequires: ghc-asn1-parse-devel
BuildRequires: ghc-asn1-types-devel
BuildRequires: ghc-basement-devel
BuildRequires: ghc-crypton-devel
BuildRequires: ghc-hourglass-devel
BuildRequires: ghc-libs
BuildRequires: ghc-memory-devel
BuildRequires: ghc-pem-devel
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
## AUTOBUILDREQ-END
BuildRequires: ghc
BuildRequires: ghc-rpm-macros
Requires:      ghc = %{ghc_ver}

%description
%{summary}.

%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{?epoch:%epoch:}%{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif

%prep
%setup -q -n crypton-x509-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

rm -f %{buildroot}%{_ghclicensedir}/%{name}/LICENSE

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.files
%defattr(-,root,root)
%license LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root)
#%doc CHANGELOG.markdown README.markdown

%if %{with haddock}
%files doc -f %{name}-doc.files
%defattr(-,root,root)
%license LICENSE
%endif

%changelog
* Sun Dec 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.6-1mamba
- package created using the webbuild interface
